For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscription Management

The subscription management endpoints allow you to:

  • See all available webhook subscriptions and related information

  • See detailed information about your webhook subscriptions

  • Update your subscriptions

  • Renew your subscriptions

  • Delete subscriptions

See the endpoints and their functions below:

Endpoint
Function

See all your subscriptions, their status, creation, and expiration dates

See the details of your active subscription

Edit your active subscription by adding or removing IDs

Renew your subscriptions for up to 1 year

Delete your subscriptions

I want to see all my active subscriptions

Use the endpoint GET /v2/subscriptions to see all your available subscriptions, their statuses, creation and expiration dates:

  1. Indicate whether you want to see details for only active subscriptions (?expired=false, default option) or for all subscriptions (?expired=true, including expired). In this request, the response header "x-total-subscriptions" matches the expired parameter and returns the count of active or all subscriptions. You will automatically see only active subscriptions if you omit the expired parameter.

  2. Specify the page number you want to see. Each page contains approximately 1,000 subscriptions, so if you have more than 1,000 subscriptions, you may need to specify the page number.

  3. Replace {API Key} with your API Key in the template below:

  1. Send the request.

  2. Refer to the Body for information about your subscription status:

Data field
Description
Data type

id

Subscription identification key. Subscription ID is displayed in the response body after submitting a webhook subscription

String

status

Subscription status (active or expired)

String

created_at

Subscription start date

String (date)

expiring_at

Subscription expiry date

String (date)


I want to see the details of my subscription

Use the endpoint GET /v2/subscriptions/{subscription_id} to see the details of your expired or active subscriptions:

  1. Find your subscription ID, which appears in the response body after you successfully submit a webhook subscription.

  2. Replace {API Key} with your API Key and {subscription_id} with your subscription ID in the template below:

  1. Send the request.

  2. You will see the following information in the Response body:

Data field
Description
Data type

id

Subscription identification key

String

status

Subscription status (active or expired)

String

created_at

Subscription start date

String (date)

expiring_at

Subscription expiry date

String (date)

entity

Subscription entity

String

es_dsl_query

Elasticsearch DSL query used to subscribe to changes in a list of profiles

Object

filters

Search filters used to subscribe to changes in a list of profiles

Object

last_webhook_sent

Time of the last message sent to your webhook URL in YYYY-MM-DD format

String (date)


I want to edit my subscription

Use the endpoint PATCH /v2/subscriptions/{subscription_id} to update your active subscription without creating a new one by adding or removing IDs:

  1. Find your subscription ID, which appears in the response body after you successfully submit a webhook subscription.

  2. Replace {API Key} with your API Key, {subscription_id} with your subscription ID, and provide a request body with "add":[] list of new IDs you want to track and "remove":[] of IDs you want to remove from the subscription in the template below:

  1. Send the request.

  2. You will see the following information in the Response body:

Data field
Description
Data type

id

Subscription identification key

String

status

Subscription status (active or expired)

String

created_at

Subscription start date

String (date)

expiring_at

Subscription expiry date

String (date)

entity

Subscription entity

String

tracked_ids_count

Number of IDs in subscription after update

Integers

type

Only "ids_list" type subscriptions can be patched

String

added

Added IDs list

Array of integers

removed

Removed IDs list

Array of integers

skipped

Information about skipped IDs from the request body

Array of objects

skipped.already_tracked

Skipped IDs because they are already in the list

Array of integers

skipped.not_tracked

Skipped IDs because they cannot be tracked

Array of integers


I want to renew my subscription

Use the endpoint POST /v2/subscriptions/{subscription_id}/renew to renew your subscriptions. A webhook subscription is valid for 91 days from the date it is created. To keep webhook delivery uninterrupted beyond this window, renew subscriptions before they expire.

You can schedule renewals in advance, allowing coverage for up to about 1 year from the initial subscription start date.

A subscription can be renewed for up to 1 year. If subscription renewal exceeds this period, the request will be canceled.

  1. Find your subscription ID, which appears in the response body after you successfully submit a webhook subscription.

  2. Replace {API Key} with your API Key and {subscription_id} with your subscription ID in the template below:

  1. Send the request.

  2. You will see the following information in the Response body:

Data field
Description
Data type

id

Subscription identification key.

String

status

Subscription status (active or expired)

String

created_at

Subscription start date

String (date)

expiring_at

Subscription expiry date

String (date)

I want to delete my subscription

Use the endpoint DELETE /v2/subscriptions/{subscription_id} to make your subscriptions inactive.

Use the subscription ID you want to delete as input, and refer to the template below:

Last updated

Was this helpful?